{
    attributes = (
        {
            columnName = C_CIVILITE; 
            externalType = VARCHAR2; 
            name = cCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_DEPT_NAISSANCE; 
            externalType = VARCHAR2; 
            name = cDeptNaissance; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_PAYS_NAISSANCE; 
            externalType = VARCHAR2; 
            name = cPaysNaissance; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_PAYS_NATIONALITE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = C_PAYS_NATIONNALITE; }; 
            name = cPaysNationalite; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_DECES; 
            externalType = DATE; 
            internalInfo = {_nameInObjectStore = dDeces; }; 
            name = dDeces; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_NAISSANCE; 
            externalType = DATE; 
            name = dNaissance; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_NATURALISATION; 
            externalType = DATE; 
            name = dNaturalisation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_ACTIVITE; 
            externalType = VARCHAR2; 
            name = indActivite; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_AGENDA; 
            externalType = VARCHAR2; 
            name = indAgenda; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_C_SIT_MILITAIRE; 
            externalType = VARCHAR2; 
            name = indCSitMilitaire; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_C_SITUATION_FAMILLE; 
            externalType = VARCHAR2; 
            name = indCSituationFamille; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_CLE_INSEE; 
            externalType = NUMBER; 
            name = indCleInsee; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_NO_INSEE; 
            externalType = VARCHAR2; 
            name = indNoInsee; 
            valueClassName = NSString; 
            width = 13; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_ORIGINE; 
            externalType = VARCHAR2; 
            name = indOrigine; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_PHOTO; 
            externalType = VARCHAR2; 
            name = indPhoto; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_QUALITE; 
            externalType = VARCHAR2; 
            name = indQualite; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_AFFICHAGE; 
            externalType = VARCHAR2; 
            name = nomAffichage; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_PATRONYMIQUE; 
            externalType = VARCHAR2; 
            name = nomPatronymique; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_USUEL; 
            externalType = VARCHAR2; 
            name = nomUsuel; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM2; 
            externalType = VARCHAR2; 
            name = prenom2; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM_AFFICHAGE; 
            externalType = VARCHAR2; 
            name = prenomAffichage; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            definition = "length(nomUsuel)"; 
            externalType = NUMBER; 
            name = tailleNom; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_SS_DIPLOME; 
            externalType = VARCHAR2; 
            name = temSsDiplome; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_VALIDE; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE_DE_NAISSANCE; 
            externalType = VARCHAR2; 
            name = villeDeNaissance; 
            valueClassName = NSString; 
            width = 30; 
        }
    ); 
    attributesUsedForLocking = (
        noIndividu, 
        persId, 
        nomPatronymique, 
        prenom, 
        cCivilite, 
        nomUsuel, 
        dNaissance, 
        villeDeNaissance, 
        cDeptNaissance, 
        cPaysNaissance, 
        cPaysNationalite, 
        indQualite, 
        indPhoto, 
        indActivite, 
        indOrigine, 
        dDeces, 
        dNaturalisation, 
        indCSitMilitaire, 
        indCSituationFamille, 
        indCleInsee, 
        indNoInsee, 
        prenom2, 
        temSsDiplome, 
        temValide, 
        dCreation, 
        dModification, 
        indAgenda, 
        nomAffichage, 
        prenomAffichage
    ); 
    className = EOIndividu; 
    classProperties = (
        noIndividu, 
        persId, 
        nomPatronymique, 
        prenom, 
        cCivilite, 
        nomUsuel, 
        dNaissance, 
        villeDeNaissance, 
        cDeptNaissance, 
        cPaysNaissance, 
        cPaysNationalite, 
        indQualite, 
        indPhoto, 
        indActivite, 
        indOrigine, 
        toPhotosEmployes, 
        dDeces, 
        dNaturalisation, 
        indCSitMilitaire, 
        indCSituationFamille, 
        indCleInsee, 
        indNoInsee, 
        prenom2, 
        tailleNom, 
        temSsDiplome, 
        temValide, 
        dCreation, 
        dModification, 
        toPhotosEtudiants, 
        toPhotosEtudiantsOld, 
        structures, 
        telephones, 
        bureaux, 
        indAgenda, 
        comptes, 
        nomAffichage, 
        prenomAffichage, 
        icals
    ); 
    externalName = INDIVIDU_ULR; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            noIndividu, 
            persId, 
            nomPatronymique, 
            prenom, 
            cCivilite, 
            nomUsuel, 
            dNaissance, 
            villeDeNaissance, 
            cDeptNaissance, 
            cPaysNaissance, 
            cPaysNationalite, 
            indQualite, 
            indPhoto, 
            indActivite, 
            indOrigine, 
            toPhotosEmployes, 
            dDeces, 
            dNaturalisation, 
            indCSitMilitaire, 
            indCSituationFamille, 
            indCleInsee, 
            indNoInsee, 
            prenom2, 
            tailleNom, 
            temSsDiplome, 
            temValide, 
            dCreation, 
            dModification, 
            toPhotosEtudiants, 
            nomUsuel1, 
            nomAffichage, 
            nomAffichage1, 
            prenomAffichage
        ); 
    }; 
    name = IndividuUlr; 
    primaryKeyAttributes = (noIndividu); 
    relationships = (
        {
            destination = RepartBureau; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = bureaux; 
        }, 
        {
            destination = RepartCompte; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = comptes; 
        }, 
        {
            destination = Ical; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = icals; 
        }, 
        {
            destination = RepartStructure; 
            internalInfo = {_nameInObjectStore = repartStructures; }; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = structures; 
        }, 
        {
            destination = PersonneTelephone; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = telephones; 
        }, 
        {
            destination = PhotosEmployes; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEmployes; 
        }, 
        {
            destination = PhotosEtudiants; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEtudiants; 
        }, 
        {
            destination = PhotosEtudiantsOld; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEtudiantsOld; 
        }
    ); 
}
